# U-shaped Laser Package

A Python package for analyzing laser measurements, with a focus on U-shaped laser configurations and linewidth measurements.

## Documentation

For detailed documentation, including installation instructions, usage examples, and API reference, visit our [Read the Docs page](https://u-shaped-laser-package.readthedocs.io/).

## Overview

This package provides tools for analyzing various laser measurements including:

* Linewidth measurements
* Frequency noise (FN) analysis
* Relative intensity noise (RIN) analysis
* Side Mode Suppression Ratio (SMSR) measurements
* Coherent Self-Heterodyne (CSH) measurements

## Installation

```bash
pip install u_shaped_lib
```

## Dependencies

* numpy
* pandas
* matplotlib
* scipy
* cycler

## License

This project is licensed under the MIT License - see the LICENSE file for details.

## Authors

* Simon T. Thomsen
* Jeppe H. Surrow 